// viewpolysView.h : interface of the CViewpolysView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_VIEWPOLYSVIEW_H__DE7B9D47_22BF_4EE7_B0FE_320FC87F4B43__INCLUDED_)
#define AFX_VIEWPOLYSVIEW_H__DE7B9D47_22BF_4EE7_B0FE_320FC87F4B43__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class CViewpolysView : public CView
{
protected: // create from serialization only
	CViewpolysView();
	DECLARE_DYNCREATE(CViewpolysView)

// Attributes
public:
	CViewpolysDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CViewpolysView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	CPoint Apts[200], Bpts[200];
	BOOL m_bFileLoaded;
	double A[201][2], B[201][2];
	double Axmax, Axmin, Aymax, Aymin;
	int aVerts;
	int bVerts;
	int LoadFile(LPCTSTR filePath);
	CString m_szInFile;
	virtual ~CViewpolysView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CViewpolysView)
	afx_msg void OnEditSetInFile();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in viewpolysView.cpp
inline CViewpolysDoc* CViewpolysView::GetDocument()
   { return (CViewpolysDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_VIEWPOLYSVIEW_H__DE7B9D47_22BF_4EE7_B0FE_320FC87F4B43__INCLUDED_)
